=== debian/changelog ===
wpebackend-fdo (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 4.4.1 (no changes).
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/libwpebackend-fdo-1.0-1.lintian-overrides:
    + Update override so it's independent from the library version.

 -- Alberto Garcia <berto@igalia.com>  Wed, 13 Nov 2019 17:57:25 +0200

wpebackend-fdo (1.3.0-1) experimental; urgency=medium

  * Initial release (Closes: #930117)

 -- Alberto Garcia <berto@igalia.com>  Wed, 14 Aug 2019 14:01:13 +0300
