## wpebackend-fdo 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
-cmake_minimum_required(VERSION 3.0)
-cmake_policy(VERSION 3.0)
+cmake_minimum_required(VERSION 3.3)
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 4 0)
+SET_PROJECT_VERSION(1 6 0)
 set(WPEBACKEND_FDO_API_VERSION 1.0)
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -14,7 +13,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 5 1 4)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 1 6)
 
 project(wpebackend-fdo VERSION "${PROJECT_VERSION}")
 
@@ -42,16 +41,11 @@
 
 find_package(EGL REQUIRED)
 find_package(GLIB REQUIRED COMPONENTS gio gobject)
-find_package(Wayland REQUIRED)
-find_package(WaylandEGL REQUIRED)
+find_package(Wayland REQUIRED client server egl)
 find_package(WaylandScanner REQUIRED)
-find_package(WPE REQUIRED)
-
-add_definitions(-DWPE_FDO_COMPILATION)
-
-if (NOT (WAYLAND_wayland-client_VERSION VERSION_LESS 1.10))
-    add_definitions(-DWAYLAND_1_10_OR_GREATER)
-endif ()
+find_package(WPE 1.5.90 REQUIRED)
+
+add_definitions(-DWPE_FDO_COMPILATION -DG_LOG_DOMAIN=\"WPE-FDO\")
 
 configure_file(include/wpe-fdo/version.h.cmake "${CMAKE_BINARY_DIR}/wpe-fdo/version.h" @ONLY)
 
@@ -60,46 +54,56 @@
     ${CMAKE_BINARY_DIR}
     ${CMAKE_SOURCE_DIR}/src
     ${GLIB_INCLUDE_DIRS}
-    ${WAYLAND_INCLUDE_DIRS}
-    ${WAYLAND_EGL_INCLUDE_DIRS}
 )
 
 set(WPEBACKEND_FDO_LIBRARIES
     ${GLIB_GIO_LIBRARIES}
     ${GLIB_GOBJECT_LIBRARIES}
     ${GLIB_LIBRARIES}
-    ${WAYLAND_LIBRARIES}
-    ${WAYLAND_EGL_LIBRARIES}
     GL::egl
+    Wayland::client
+    Wayland::server
+    Wayland::egl
     WPE::libwpe
 )
 
 set(WPEBACKEND_FDO_PUBLIC_HEADERS
     ${CMAKE_BINARY_DIR}/wpe-fdo/version.h
     include/wpe-fdo/exported-image-egl.h
+    include/wpe-fdo/exported-buffer-shm.h
     include/wpe-fdo/initialize-egl.h
     include/wpe-fdo/view-backend-exportable.h
     include/wpe-fdo/fdo-egl.h
     include/wpe-fdo/fdo.h
 )
 
+set(WPEBACKEND_FDO_EXTENSIONS_PUBLIC_HEADERS
+    include/wpe-fdo/extensions/video-plane-display-dmabuf.h
+)
+
 set(WPEBACKEND_FDO_GENERATED_SOURCES
     ${CMAKE_BINARY_DIR}/bridge/wpe-bridge-protocol.c
+    ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-protocol.c
 )
 
 set(WPEBACKEND_FDO_SOURCES
     ${WPEBACKEND_FDO_GENERATED_SOURCES}
 
+    src/exported-buffer-shm.cpp
     src/exported-image-egl.cpp
     src/fdo.cpp
     src/initialize-egl.cpp
     src/ipc.cpp
     src/renderer-backend-egl.cpp
     src/renderer-host.cpp
+    src/version.c
     src/view-backend-exportable-fdo.cpp
     src/view-backend-exportable-private.cpp
     src/ws.cpp
     src/ws-client.cpp
+
+    src/extensions/video-plane-display-dmabuf.cpp
+    src/extensions/video-plane-display-dmabuf-receiver.cpp
 
     src/linux-dmabuf/linux-dmabuf.cpp
     src/linux-dmabuf/linux-dmabuf-protocol.c
@@ -117,6 +121,18 @@
     VERBATIM
 )
 
+file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf)
+add_custom_command(
+    OUTPUT ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-protocol.c
+    OUTPUT ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-client-protocol.h
+    OUTPUT ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-server-protocol.h
+    DEPENDS ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml
+    COMMAND ${WAYLAND_SCANNER} ${WAYLAND_SCANNER_CODE_ARG} < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-protocol.c
+    COMMAND ${WAYLAND_SCANNER} client-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-client-protocol.h
+    COMMAND ${WAYLAND_SCANNER} server-header < ${CMAKE_SOURCE_DIR}/src/extensions/wpe-video-plane-display-dmabuf.xml > ${CMAKE_BINARY_DIR}/video-plane-display-dmabuf/wpe-video-plane-display-dmabuf-server-protocol.h
+    VERBATIM
+)
+
 option(EXPORTABLE_EGL "Enable the exportable EGL interface" ON)
 
 if (EXPORTABLE_EGL)
@@ -130,6 +146,8 @@
 
 set_target_properties(WPEBackend-fdo
     PROPERTIES
+    C_VISIBILITY_PRESET hidden
+    CXX_VISIBILITY_PRESET hidden
     OUTPUT_NAME WPEBackend-fdo-${WPEBACKEND_FDO_API_VERSION}
     VERSION ${LIBWPEBACKEND_FDO_VERSION}
     SOVERSION ${LIBWPEBACKEND_FDO_VERSION_MAJOR}
@@ -142,6 +160,10 @@
 install(
     FILES ${WPEBACKEND_FDO_PUBLIC_HEADERS}
     DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe
+)
+install(
+    FILES ${WPEBACKEND_FDO_EXTENSIONS_PUBLIC_HEADERS}
+    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/wpe-fdo-${WPEBACKEND_FDO_API_VERSION}/wpe/extensions
 )
 
 configure_file(wpebackend-fdo.pc.in wpebackend-fdo-${WPEBACKEND_FDO_API_VERSION}.pc @ONLY)
@@ -172,9 +194,12 @@
                 --extra-c-flags=-DWPE_FDO_COMPILATION
                 --c-sources
                     ${CMAKE_SOURCE_DIR}/include/wpe-fdo/*.h
+                    ${CMAKE_SOURCE_DIR}/include/wpe-fdo/extensions/*.h
                 --c-include-directories
                     ${CMAKE_SOURCE_DIR}/include
+                    ${CMAKE_BINARY_DIR}/wpe-fdo
                     ${WPEBACKEND_FDO_INCLUDE_DIRECTORIES}
+                    ${WPE_INCLUDE_DIR}
         )
     else ()
         message(FATAL_ERROR "Hotdoc C extension not found, can't build documentation.")
