=== debian/changelog ===
wpebackend-fdo (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Set the debhelper compatibility level to 12:
    + Get rid of debian/compat.
    + Add build dependency on debhelper-compat.
  * debian/control:
    + Add build dependency on libwayland-dev (Closes: #952252).
    + Add Rules-Requires-Root: no.
    + Update Standards-Version to 4.5.0 (no changes).
    + Require libwpe-1.0-dev >= 1.5.90.
  * debian/copyright:
    + Update copyright years.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * Add upstream metadata file.

 -- Alberto Garcia <berto@igalia.com>  Thu, 12 Mar 2020 14:51:33 +0100
