=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                libegl1-mesa-dev,
                libglib2.0-dev,
-               libwpe-1.0-dev
-Standards-Version: 4.4.1
+               libwayland-dev,
+               libwpe-1.0-dev (>= 1.5.90)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
 Homepage: https://wpewebkit.org/
