=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpebackend-fdo-(\d+\.\d+\.\d+).tar.xz
