## wpebackend-fdo 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 6 0)
+SET_PROJECT_VERSION(1 6 1)
 set(WPEBACKEND_FDO_API_VERSION 1.0)
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -13,7 +13,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 1 6)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 8 1 7)
 
 project(wpebackend-fdo VERSION "${PROJECT_VERSION}")
