=== debian/changelog ===
wpebackend-fdo (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Tue, 26 May 2020 16:27:53 +0200
