=== debian/changelog ===
wpebackend-fdo (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add build dependency on libepoxy-dev.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/libwpebackend-fdo-1.0-dev.lintian-overrides:
    + Delete this file, pkg-config-references-unknown-shared-library was
      removed in lintian 2.57.0.
  * debian/libwpebackend-fdo-1.0-1.lintian-overrides:
    + Rename non-dev-pkg-with-shlib-symlink to
      link-to-shared-library-in-wrong-package
  * debian/copyright:
    + Remove obsolete entries.

 -- Alberto Garcia <berto@igalia.com>  Sat, 12 Sep 2020 23:48:20 +0200
