=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                cmake,
                libegl1-mesa-dev,
+               libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.5.90)
