## wpebackend-fdo 1.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(VersioningUtils)
 
-SET_PROJECT_VERSION(1 8 0)
+SET_PROJECT_VERSION(1 8 1)
 set(WPEBACKEND_FDO_API_VERSION 1.0)
 
 # Before making a release, the LT_VERSION string should be modified.
@@ -13,7 +13,7 @@
 # - If binary compatibility has been broken (eg removed or changed interfaces)
 #   change to C+1:0:0
 # - If the interface is the same as the previous version, change to C:R+1:A
-CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 3 6)
+CALCULATE_LIBRARY_VERSIONS_FROM_LIBTOOL_TRIPLE(LIBWPEBACKEND_FDO 7 4 6)
 
 project(wpebackend-fdo VERSION "${PROJECT_VERSION}")
 
@@ -45,11 +45,11 @@
 find_package(WaylandScanner REQUIRED)
 find_package(WPE 1.5.90 REQUIRED)
 
-add_compile_definitions(
-    WPE_FDO_COMPILATION
-    G_LOG_DOMAIN=\"WPE-FDO\"
-    _FILE_OFFSET_BITS=64
-    _LARGEFILE64_SOURCE=1
+add_definitions(
+    -DWPE_FDO_COMPILATION
+    -DG_LOG_DOMAIN=\"WPE-FDO\"
+    -D_FILE_OFFSET_BITS=64
+    -D_LARGEFILE64_SOURCE=1
 )
 
 configure_file(include/wpe/version.h.cmake "${CMAKE_BINARY_DIR}/version.h" @ONLY)
