=== debian/changelog ===
wpebackend-fdo (1.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Thu, 18 Mar 2021 17:05:26 +0100

wpebackend-fdo (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Explain how WebKitGTK uses this package.
  * debian/watch:
    + Track stable releases only.
    + Set version to 4 (fixes older-debian-watch-file-standard)

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Mar 2021 14:59:13 +0100
