=== debian/control ===
--- 
+++ 
@@ -33,6 +33,9 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
+ In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
+ to implement hardware-accelerated rendering under Wayland.
+ .
  This package contains the development files.
 
 Package: libwpebackend-fdo-1.0-1
@@ -48,4 +51,7 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
+ In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
+ to implement hardware-accelerated rendering under Wayland.
+ .
  This package contains the shared libraries.
