=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpebackend-fdo-(\d+\.[02468]\d*\.\d+).tar.xz
