## wpebackend-fdo 1.10.0

=== debian/changelog ===
wpebackend-fdo (1.10.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Alberto Garcia <berto@igalia.com>  Wed, 16 Jun 2021 11:29:41 +0200

wpebackend-fdo (1.10.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/watch:
    + Fix regular expression to scan stable releases.
  * debian/control:
    + Replace build dependency on cmake with meson.
    + Remove build dependency on libegl1-mesa-dev.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/copyright:
    + Remove deleted files.

 -- Alberto Garcia <berto@igalia.com>  Mon, 07 Jun 2021 23:57:03 +0200

wpebackend-fdo (1.8.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.

 -- Alberto Garcia <berto@igalia.com>  Wed, 12 May 2021 21:23:59 +0200

wpebackend-fdo (1.8.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Standards-Version to 4.5.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 31 Mar 2021 01:08:01 +0200
