=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
 Uploaders: Alberto Garcia <berto@igalia.com>
 Build-Depends: debhelper-compat (= 12),
-               cmake,
-               libegl1-mesa-dev,
+               meson,
                libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.5.90)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
