## wpebackend-fdo 1.12.0

=== meson_options.txt ===
option('build_docs',
	type: 'boolean',
	value: false,
	description: 'Build reference documentation (needs HotDoc)')
