=== debian/changelog ===
wpebackend-fdo (1.12.0-1~bpo10+1) buster-backports; urgency=medium

  * backport to buster
  * debian: add lintian-override on
    symbols-file-contains-current-version-with-debian-revision

 -- Marc Leeman <m.leeman@televic.com>  Thu, 09 Dec 2021 11:02:18 +0100

wpebackend-fdo (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    + Update symbols.
  * debian/control:
    + Bump required version of libwpe-1.0-dev.
    + Update Standards-Version to 4.6.0.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Tue, 19 Oct 2021 10:45:40 +0200
