=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>
+Uploaders: Alberto Garcia <berto@igalia.com>,
+           Marc Leeman <m.leeman@televic.com>,
 Build-Depends: debhelper-compat (= 12),
                meson,
                libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
-               libwpe-1.0-dev (>= 1.5.90)
-Standards-Version: 4.5.1
+               libwpe-1.0-dev (>= 1.6.0)
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
