## wpebackend-fdo 1.14.0

=== debian/changelog ===
wpebackend-fdo (1.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 20 Sep 2022 11:38:10 +0200

wpebackend-fdo (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Set the debhelper compatibility level to 13.
    - Update Standards-Version to 4.6.1.0 (no changes).
  * debian/libwpebackend-fdo-1.0-1.lintian-overrides:
    - Update link-to-shared-library-in-wrong-package override.

 -- Alberto Garcia <berto@igalia.com>  Wed, 10 Aug 2022 16:17:21 +0200
