=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Alberto Garcia <berto@igalia.com>,
-           Marc Leeman <m.leeman@televic.com>,
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Alberto Garcia <berto@igalia.com>
+Build-Depends: debhelper-compat (= 13),
                meson,
                libepoxy-dev,
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
