## wpebackend-fdo 1.14.2

=== debian/changelog ===
wpebackend-fdo (1.14.2-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 22 Mar 2023 00:17:47 +0100

wpebackend-fdo (1.14.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Update Standards-Version to 4.6.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Sat, 04 Mar 2023 23:48:40 +0100
