=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
