=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://wpewebkit.org/releases/ wpebackend-fdo-(\d+\.\d*[02468]\.\d+).tar.xz
