## wpebackend-fdo 1.14.3

=== debian/changelog ===
wpebackend-fdo (1.14.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove references to WebKitGTK since it no longer uses the WPE
      backend.
    - Update Standards-Version to 4.7.0 (no changes).
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Stop overriding dh_missing since debhelper compat level 13 already
      defaults to --fail-missing.

 -- Alberto Garcia <berto@igalia.com>  Fri, 13 Sep 2024 23:47:26 +0200
