## wpebackend-fdo 1.16.0

=== debian/changelog ===
wpebackend-fdo (1.16.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    - Update symbols.
  * debian/upstream/signing-key.asc:
    - Remove obsolete key 0xF3D322D0EC4582C3.

 -- Alberto Garcia <berto@igalia.com>  Thu, 13 Mar 2025 11:02:47 +0100
