=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
@@ -32,9 +32,6 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
- In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
- to implement hardware-accelerated rendering under Wayland.
- .
  This package contains the development files.
 
 Package: libwpebackend-fdo-1.0-1
@@ -50,7 +47,4 @@
  FreeDesktop.org technologies (Wayland protocol and the Wayland EGL
  platform) to enable integration into the WPE WebKit process model.
  .
- In addition to WPE WebKit, wpebackend-fdo is also used by WebKitGTK
- to implement hardware-accelerated rendering under Wayland.
- .
  This package contains the shared libraries.
