## wpebackend-fdo 1.16.1

=== debian/changelog ===
wpebackend-fdo (1.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/libwpebackend-fdo-1.0-1.symbols:
    - Remove internal symbols.
  * debian/control:
    - Remove redundant 'Rules-Requires-Root: no' field.
    - Update Standards-Version to 4.7.2 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Thu, 20 Nov 2025 12:37:24 +0100
