=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                libglib2.0-dev,
                libwayland-dev,
                libwpe-1.0-dev (>= 1.6.0)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/webkit-team/wpebackend-fdo
 Vcs-Git: https://salsa.debian.org/webkit-team/wpebackend-fdo.git
 Homepage: https://wpewebkit.org/
